/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  Author: Alexander Hausner (Alexander.Hausner@web.de)
 */

#include "about.h"

#include <qlabel.h>
#include <qpushbutton.h>
#include <qrect.h>

About::About(QWidget *parent = NULL, const char *name = NULL, bool modal=true, WFlags f=0) : QDialog(parent, name, modal, f) {
	setFixedSize(235,280);

	QLabel *heading = new QLabel("QPE-Vexed", this);
	heading -> setGeometry(QRect(10,15,220,20));
	heading -> setFont(QFont("Helvetica\n", 10, QFont::Bold));

	QLabel *txt1 = new QLabel("Version 1.3", this);
	txt1 -> setGeometry(QRect(10,55,220,15));

	QLabel *txt2 = new QLabel("Copyright (c) 2003 by Alexander Hausner\n\tAlexander.Hausner@web.de", this);
	txt2 -> setGeometry(QRect(10,80,220,25));

	QLabel *txt3 = new QLabel("Licensed under the GNU General Public License", this);
	txt3 -> setGeometry(QRect(10,110,220,15));

	QPushButton *close = new QPushButton("Close", this);
	close -> setGeometry(QRect(85, 240, 70, 25));
	connect(close, SIGNAL(clicked()), this, SLOT(accept()));
}

About::~About() {}
