/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  Author: Alexander Hausner (Alexander.Hausner@web.de)
 */

#include "statuslabel.h"

#include <qlabel.h>
#include <qpushbutton.h>
#include <qrect.h>

StatusLabel::StatusLabel(QWidget * parent, const char * name=0, WFlags f=0)
    : QLabel(parent, name, f) {
    setFixedSize(220,50);
    setBackgroundMode(PaletteButton);
}

StatusLabel::~StatusLabel() {}

void StatusLabel::setLabel(const QString& pack, const QString& name, int num) {
    QString s = QString::number(num);
    setText(pack+" ("+s+"):\n\t"+name);
}
